commit:     3250ba85965856cec855ec2ed01e02aaa16d17a2
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Jan 24 13:48:18 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 13:48:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3250ba85

sci-libs/matio: Bump to 1.5.19

Bug: https://bugs.gentoo.org/716258
Bug: https://bugs.gentoo.org/717942
Closes: https://bugs.gentoo.org/603218
Closes: https://bugs.gentoo.org/677366
Closes: https://bugs.gentoo.org/716258
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/matio/Manifest            |  1 +
 sci-libs/matio/matio-1.5.19.ebuild | 46 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/sci-libs/matio/Manifest b/sci-libs/matio/Manifest
index 05e6aaa1418..1a4bc0da228 100644
--- a/sci-libs/matio/Manifest
+++ b/sci-libs/matio/Manifest
@@ -1 +1,2 @@
 DIST matio-1.5.17.tar.gz 10066268 BLAKE2B 
0852d1861bb4c43acd8a34d7114d29b7e15aa00e6f995d8516d22ff9420268cf7de7b82e08ee33978891bdfd02fcf3f8441aa1466e66e112a21f01abd6f3f0e0
 SHA512 
af8ff11c7c44fea9ea6886e381f49ef9186946f3def98ad9695f2d5d1df045c35e8f4ceac12a44be397f7bbd708b4803762b5ce54c45b60a9f446d551c04f5d2
+DIST matio-1.5.19.tar.gz 10108869 BLAKE2B 
db641bda8d68e203af765aa83ecf661e011995e242c4f91aacb4bcc8ba2b545c36a3eec3f4954b3d7ecc286e630acd15b34ec48b372063bfb8b892259fc49ec7
 SHA512 
c087944a7d87d78a7de662d7e19f5f81c55858cf5bf315c28d5a0f7544555b0816045e20bb0c83752eb3d54b589d9237a27cf3de98e3ebefcc7ea0af9311740e

diff --git a/sci-libs/matio/matio-1.5.19.ebuild 
b/sci-libs/matio/matio-1.5.19.ebuild
new file mode 100644
index 00000000000..adb63f7b65e
--- /dev/null
+++ b/sci-libs/matio/matio-1.5.19.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Library for reading and writing matlab files"
+HOMEPAGE="https://sourceforge.net/projects/matio/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0/11" # subslot = soname version
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples hdf5 sparse"
+
+RDEPEND="
+       sys-libs/zlib
+       hdf5? ( sci-libs/hdf5:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="doc? ( virtual/latex-base )"
+
+src_configure() {
+       econf \
+               --disable-static \
+               $(use_enable hdf5 mat73) \
+               $(use_enable sparse extended-sparse)
+}
+
+src_compile() {
+       default
+       use doc && emake -C documentation pdf
+}
+
+src_install() {
+       default
+       use doc && dodoc documentation/matio_user_guide.pdf
+
+       if use examples; then
+               docinto examples
+               dodoc test/test*.c
+               insinto /usr/share/${PN}
+               doins share/test*
+       fi
+
+       # no static archives
+       find "${ED}" -name "*.la" -delete || die
+}

Reply via email to